2022-07-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  2.28.3

2022-07-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  README.md: Add another link to jhbuild

2022-07-20  Doomsdayrs  <doomsdayrs@gmail.com>

  Convert README to MD

  Merge request !9

2022-07-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  codegen/generate_defs_and_docs.sh: Atk has moved to at-spi2-core

  Atk has been merged with at-spi2-core. Read atk files from there.

2022-05-24  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Meson: Re-organize warnings-related compiler flags for MSVC

  Add a short description for each of the warning-related compiler flags that are
  used globally, and only apply '/wd4267' for 64-bit builds, since that flag is
  really only applicable when building for 64-bit.

2022-05-23  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Meson: Apply '/wd4828' only for gendef.exe

  ... as the warning only applies to gendef.cc, and only apply that if we need to
  build gendef.exe (the gmmproc from glibmm is too old to generate the headers
  that can export symbols without needing to use gendef.exe).
  
  Move the '/utf-8' flag check to be with the other warning-related compiler
  flags.

2022-05-16  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Require atk >= 2.12.0

  Atkmm has required atk >= 2.12.0 (the first release with AtkRange)
  for a long time, but it has not been properly specified in
  configure.ac and meson.build.

2022-05-15  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Avoid configuration warnings

2022-02-27  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Check if Perl is required for building documentation

  New versions of mm-common use the Python scripts doc_postprocess.py
  and doc_install.py instead of the Perl scripts doc-postprocess.pl and
  doc-install.pl when documentation is built.

2022-02-12  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Specify 'check' option in run_command(), part 2

  Forgot one run_command() in the first part.
  
  Let import('python').find_installation() always find the python
  installation used to run Meson.

2022-02-06  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Don't use deprecated python3.path()

2022-02-05  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Specify 'check' option in run_command()

  The default value will be changed in future Meson releases.

2021-12-22  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  atkmm.h: Atkmm is used by gtkmm-3.0, not by gtkmm-4.0

2021-11-10  Chun-wei Fan  <fanchunwei@src.gnome.org>

  build: Support Visual Studio 2022

  Make these builds distinct from the VS2019 builds.

2021-05-21  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  2.28.2

2021-05-19  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Documentation: Let links point to atkmm-1.6 versions

2021-05-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Add dependencies to Doxygen tag files in subprojects

  Doxygen in a main project shall not be called before tag files have been
  created or updated in subprojects.

2021-05-14  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Fix build as subproject without building documentation

  * meson.build: If mm-common-get is not found in maintainer-mode
  with 'required: false', try with 'required: true'.
  Don't try to use tag_file, if documentation is not built.
  * doc/reference/meson.build: Don't use variables from modules
  that don't define doxytagfile. These are subprojects that don't build
  their documentation.

2021-05-11  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Visual Studio builds: Clean up build files

  glibmm will be updated to be clear of classes that export items making the
  built binaries dependent on the exact compiler version and the STL version,
  which will eliminate the need to ignore warnings C4251 and C4275.
  
  We will also use the /EHsc compiler flag so that we can also drop the
  ignore on warning C4530.

2021-05-05  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Subprojects can use meson.add_dist_script() if meson.version() >= 0.58.0

  Call add_dist_script() in a subproject, if meson.version() >= 0.58.0.

2021-04-08  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: No implicit_include_directories

2021-03-26  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Make it possible to use atkmm as a subproject

  atk and glibmm can be subprojects of atkmm.

2021-03-09  Chun-wei Fan  <fanchunwei@src.gnome.org>

  atkmmconfig.h.*: Don't dllimport on MinGW

  This will fix warnings when building items using atkmm with MinGW/GCC.
  
  Please see: https://gitlab.gnome.org/GNOME/gtkmm/-/issues/90

2021-02-25  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  doc/reference/Doxyfile.in: Remove obsolete entries

2021-02-25  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Use relative paths to untracked/

  The paths to the source code in untracked/ shall be relative to the
  meson.build file, when library files are built from a tarball.
  With absolute paths Meson may generate too long file names.
  See merge request gtkmm!61

2020-12-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  2.28.1

2020-12-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  atk/atkmm.h: Show how to use atkmm when building with Meson

2020-11-01  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Fix some comments

  * atk/src/editabletext.hg: Improve the description of the relation
  between Text and EditableText.
  * atk/src/relation.ccg: Remove an obsolete TODO comment.

2020-10-01  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Fix versioning on macOS

  See libsigcplusplus, pull request 65

2020-08-31  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Fix gendef invocation

  We ought to pass in the DLL filename with the '.dll' extension to gendef, not
  just the .lib filename

2020-08-30  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Add atk/src/atk_signals.defs.patch

  and regenerate atk_signals.defs.
  
  atk_signals.defs has contained manually changed lines. Add a .defs.patch
  file that automatically makes these changes when atk_signals.defs is
  regenerated by codegen/generate_defs_and_docs.sh.

2020-07-23  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Use Meson-style DLL and .lib naming if requested

  To make things more consistent and less prone to confusion, if 'USE_MESON_LIBS'
  is specified in the NMake command line, build the DLLs and .lib's that are
  named like the Meson counterparts.  Binaries built with Meson+Visual Studio
  and the ones that are built via NMake using 'USE_MESON_LIBS' are
  interchangeable, provided that they are built with the same Visual Studio
  version.

2020-07-22  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Fix builds from release tarballs

  This will avoid re-generating atkmm.rc and atkmmconfig.h unneedingly, and
  ensure that we do have the version info in those files when we do need to
  generate them.
  
  Also streamline the process so that these files are generated as part of the
  'all' target, so there is no need to run the 'prep-git-build' target explicitly

2020-07-08  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Support ARM64 Windows builds

  This will make the NMake Makefiles capable of building ARM64 binaries of atkmm,
  which can be used on Windows 10 on ARM systems.

2020-06-30  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Fix previous commit

  We should also account for Visual Studio 2015 when we use 'USE_MESON_LIBS' with
  'USE_COMPAT_LIBS' as well...

2020-06-30  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Apply toolset version for Meson-built deps

  As the Meson build files for Visual Studio apply the toolset version in the
  .lib filenames by default, apply the toolset version in the Meson-built -mm
  .lib files that we link in, just as we did when we we link in the -mm .lib
  files that was built with NMake, by default.
  
  The option 'USE_COMPAT_LIBS' will also mean that we will use the former
  behavior when we link in the Meson-built -mm .lib's, just as we did when we
  link in the NMake-built -mm .lib's.

2020-06-29  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  doc/reference/: Update for Doxygen >= 1.8.16

  * doc/reference/meson.build: Doxygen 1.8.16 and later does not store
  tag file names in the html files. This requires changes in meson.build
  and in doc-install.pl (in mm-common). Otherwise references to other modules
  won't be updated in the html files when they are installed.
  * doc/reference/Doxyfile.in: Remove PERL_PATH and MSCGEN_PATH.
  Doxygen since version 1.8.0 does not use them.

2020-06-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

  codegen/extradefs/meson.build: Apply toolset version as well

  We are already building the 'glibmm_generate_extra_defs-2.4' library with the
  toolset version applied by default on Visual Studio 2015+, so we should do the
  same here.

2020-06-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Meson/Visual Studio builds: Include toolset version by default

  This makes the built DLL and .lib's contain the toolset version if the build is
  carried out using Visual Studio 2015 or later, unless the
  'msvc14x-parallel-installable' option is set to be false during configuration.
  
  The reasoning behind this change is that there can be subtle problems when, for
  instance, one tries to link to a Visual Studio 2015-built atkmm when building
  items dependening on atkmm with Visual Studio 2017 or 2019.  This is
  unfortunate as Microsoft did try hard to make interoperating between binaries
  built with Visual Studio 2015, 2017 and 2019 as easy as possible in terms of ABI
  and API, but unfortunately this can hit the corner cases where this
  compatibility does not work.
  
  As the name suggests, this attempts to make Visual Studio 2015, 2017 and 2019
  builds share a single set of underlying C DLLs easier, while avoiding breakages
  caused by such subtle differences.

2020-06-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Meson: Use pkg-config to find glibmm for all builds

  Stop manually looking for glibmm for better consistency, as:
  
  -Items that depended on glibmm which added Meson build support after glibmm,
   such as gtkmm and libxml++ also required glibmm to be found via pkg-config
   files, and they still had NMake Makefile support for Visual Studio builds.
  -There could be corner cases on the glibmm libraries that atkmm links to in
   terms of ABI compatibility between Visual Studio 2015, 2017 and 2019.

2020-06-16  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Fix header 'installation'

  For Meson-generated source tarballs, we need to look in $(srcroot)/untracked
  for the header files as well.

2020-06-12  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Distinguish between MSVC 2015, 2017 and 2019

  It was found that we cannot completely rely on the fact that Visual
  Studio 2015~2019 tried very hard to be binary compatible, as there
  could be corner cases when linking against atkmm built with Visual
  Studio 2015 with builds done by Visual Studio 2017 and 2019 where
  the code will fail to link and the DLLs are therefore not
  ABI-compatible.  Note that the libsigc++ DLLs, however, are ABI
  compatible between these 3 Visual Studio versions.
  
  As a result, for the DLL and LIB names, use 'vc140' for Visual Studio
  2015 builds, 'vc141' for Visual Studio 2017 builds and 'vc142' for
  Visual Studio 2019 builds, according to the toolset versions as defined
  by Microsoft.
  
  For people that may have previously built atkmm (and glibmm) with Visual
  Studio 2017 or 2019, which had 'vc140' in the built .lib and DLL, an NMake
  option 'USE_COMPAT_LIBS' is added to make building such binaries with
  'vc140' easier, if needed.

2020-04-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Look for the headers in untracked/ as well

  We ought to look for headers there as well, to avoid loading the headers that were
  installed before, for building from Meson-built tarballs.

2020-04-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Support building from Meson-generated tarballs

  This adds rules to the NMake Makefiles so that they will also look for the sources in
  untracked/.  One still need to use the 'prep-git-build' target to generate the full
  atkmmconfig.h and atkmm.rc source files for such release tarballs, if PERL is present,
  or manually edit those files from their .in templates to their full counterparts.
  
  Also update the check for the generated headers so that we do not attempt to needlessly
  try to run gmmproc by looking for the header in untracked/ as well.

2020-04-15  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Add support for building atkmm with Meson

  atkmm-1.6 can be built with either Autotools or Meson.
  New files have been copied from pangomm-1.4 and modified.
  
  See MR !8

2020-04-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  atk/atkmm.pc.in: Add atkmmconfig.h's install directory

  Add -I${libdir}/@ATKMM_MODULE_NAME@/include to the C flags, so other modules
  can include header files that include atkmmconfig.h.

2020-04-05  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Fix m4 file installation

  It should be in $(sharedir)/atkmm-x.y/proc/m4, not
  $(sharedir)/atkmm-x.y/proc.

2020-04-05  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Export using compiler directives if possible

  Check the gmmproc-generated sources to see whether they are generated
  with a new-enough gmmproc by checking on one of the generated headers,
  so that we can tell whether the generated headers have class, function
  and method definitions marked with ATKMM_API as needed.
  
  If the headers were generated with a recent enough gmmproc, we define
  ATKMM_BUILD and ATKMM_DLL to set ATKMM_API as __declspec(dllexport) to
  export the symbols directly during compilation and linking without
  building and using gendef.exe, otherwise we fall back to running
  gendef.exe on the built object files as we did before.

2020-04-01  Chun-wei Fan  <fanchunwei@src.gnome.org>

  atk/atkmm/*.h: Mark methods with ATKMM_API

  This way, we can export symbols in atkmm using compiler directives
  rather than using gendef.exe.

2020-04-01  Chun-wei Fan  <fanchunwei@src.gnome.org>

  atk/src/*.hg: Mark classes with ATKMM_API

  This way, we can export the symbols in atkmm with compiler directives
  instead of using gendef.

2020-04-01  Chun-wei Fan  <fanchunwei@src.gnome.org>

  atk/atkmmconfig.h.in: Re-organize ATKMM_API definition

  We also activate ATKMM_DLL when we are building with Visual Studio, and
  define ATKMM_API as __declspec(dllexport) when ATKMM_DLL and ATKMM_BUILD
  are defined.
  
  Since we may be building with sources that are generated by gmmproc that
  did not support marking generated items with ATKMM_API, we also leave
  around a ATKMM_USE_GENDEF macro that would be defined if we find out
  that an older gmmproc was used to generate the sources from the .ccg/.hg
  files.

2020-04-01  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Fix headers "installation"

  We may have generated the sources in $(Outdir)\atkmm, so make sure we
  look for the generated public headers there as well.

2020-03-31  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: "Install" files in codegen/m4

  This way, we could have the *.m4 files in place so that we can use them
  to build gtkmm directly from a GIT checkout.

2020-03-31  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Allow linking to Meson-built glibmm

  The option USE_MESON_LIBS now applies to linking to Meson-built glibmm,
  since it is now buildable with Meson.

2020-03-31  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Disable warnings C4251 and C4275

  Since we may be building against GLib that use __declspec(dllimport) to
  import symbols, we can safely ignore warnings C4251 and C4275, as they
  are harmless in this case as we are certain that we are really using
  those compiler directives.

2020-03-31  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Fix build instruction display

  Some '<' and '>' need to be carat-escaped...

2020-03-31  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Add rules to generate sources

  This allows one to be able to build directly from a GIT checkout, after
  first running the prep-git-build target, by running gmmproc from an
  installation of glibmm.
  
  Note that in order to perform such a build, one will need *nix/GNU tools
  such as common *nix commands 'cp' and 'rm' etc, along with PERL (with
  XML::Parser) and the GNU m4 tool.

2020-02-27  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Add rules to generate pre-configure items

  This will allow building from GIT checkouts easier, where we need the
  full atkmmconfig.h and atkmm.rc to carry out our builds with NMake.

2020-02-07  Chun-wei Fan  <fanchunwei@src.gnome.org>

  MSVC_NMake: Add option to link to Meson-built libraries

  libsigc++ is now buildable with Meson, so make it easier for people to
  link to Meson-built libsigc++ libraries with a NMake command line
  option.

2020-02-07  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Use /utf-8 for MSVC 2015 and later

  This will prevent error C4819 due to unicode handling issues in the
  compiler, which can be raised when building on an East-Asian locale
  (Chinese, Japanese and Korean).  This build flag, however, is provided
  only in Visual Studio 2015 and later, so 2013 users cannot benefit from
  this change.

2020-02-07  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Split outdir and intdir by toolset version

  This will reduce the likelihood that one confuses builds done by
  different Visual Studio toolset versions, making things a bit neater.

2018-12-30  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  codegen/generate_defs_and_docs.sh: Update for non-source-dir builds

  Most modules (e.g. atk) can be built in a directory separated from the
  source directory. Update the script that generates .defs and doc.xml files
  to handle that.
  The environment variables GMMPROC_GEN_SOURCE_DIR and GMMPROC_GEN_BUILD_DIR
  are read. See comments in init_generate.sh.

2018-11-04  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  2.28.0

2018-11-04  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  2.24.3

2018-10-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Update .gitignore

  The Visual Studio build files now reside in MSVC_NMake, not MSVC_201x.

2018-10-26  Chun-wei Fan  <fanchunwei@src.gnome.org>

  build: Remove the Visual Studio 2013 projects

  Since they have been replaced by the NMake Makefiles, it is time that
  they should be dropped.

2018-10-26  Chun-wei Fan  <fanchunwei@src.gnome.org>

  build: Add a set of NMake Makefiles

  This is the set of NMake Makefiles that is used to build atkmm using
  Visual Studio 2013 and later, which will replace the current Visual
  Studio 2013 project files, so that the Visual Studio build files are
  easier to maintain.
  
  Note that for the C++-11 version of atkmm, the DLL and library that are
  generated from both the visual Studio 2015 and 2017 builds are
  atkmm-vc140-1_6.[dll|lib] or atkmm-vc140-d-1_6.[dll|lib] as both Visual
  Studio 2015 and 2017 link to the v140 Windows C/C++ runtime DLLs.

2018-10-26  Chun-wei Fan  <fanchunwei@src.gnome.org>

  atk/atkmm/filelist.am: Split out automake'ism

  Move the automake-specific part out so that this file can also be
  re-used by the NMake Makefiles.

2018-10-26  Chun-wei Fan  <fanchunwei@src.gnome.org>

  builds: Rename MSVC_Net2013 to MSVC_NMake

  This is to prepare the transition of the Visual Studio build files to
  NMake Makefiles.

2018-10-25  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  configure.ac, atkmm.doap: Update bug report address

2018-09-11  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  doc/reference/Doxyfile.in: Use doxygen-extra.css

2017-09-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Update .gitignore

2017-09-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  generate_defs_and_docs.sh: Update for atk built with meson

  When atk is built with meson instead of autotools, generated .h and .c
  files are stored in atk/build/atk. Files in that directory shall be read
  when atk_docs.xml and the .defs files are generated.

2017-06-27  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Text: Fix memory leaks in vfuncs

  get_text_vfunc(), get_text_after_offset_vfunc(), get_text_at_offset_vfunc(),
  get_text_before_offset_vfunc() and get_selection_vfunc() shall delete
  the returned character array after it has been copied to a Glib::ustring.
  Bug 783360

2017-01-04  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Visual Studio builds: "Install" the .pdb files

  Since we already generate the .pdb file during the build, we should make
  good use of it to help debugging.

2016-07-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Build: Fix silent builds

  * configure.ac: Pass yes to AM_SILENT_RULES, thus enabling silent builds.
  Replace MM_AX_CXX_COMPILE_STDCXX_11 by MM_AX_CXX_COMPILE_STDCXX (not necessary
  for silent builds).
  * docs/reference/Doxyfile.in: Set QUIET=YES.
  Update for doxygen 1.8.11 (not necessary for silent builds).
  Bug #768797

2015-11-29  Murray Cumming  <murrayc@murrayc.com>

  2.24.2

2015-11-29  Murray Cumming  <murrayc@murrayc.com>

  Require a recent glibmm.

  To use the latest gmmproc.

2015-11-29  Murray Cumming  <murrayc@murrayc.com>

  Regenerate atk_docs.xml.

2015-10-27  Murray Cumming  <murrayc@murrayc.com>

  --enable-warnings=fatal: Use the same warnings as glibmm and gtkmm.

2015-09-22  Murray Cumming  <murrayc@murrayc.com>

  2.24.1

2015-09-21  Murray Cumming  <murrayc@murrayc.com>

  2.24.0

2015-09-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Update .gitignore for MSVC-Specific Items

2015-09-10  Chun-wei Fan  <fanchunwei@src.gnome.org>

  MSVC Builds: Update Project Files

  A newly-added source was missing from the build, so make up for it.

2015-09-10  Chun-wei Fan  <fanchunwei@src.gnome.org>

  MSVC Builds: Update .sln File to 2013 Format

  The solution file needs to be updated as well...

2015-09-10  Chun-wei Fan  <fanchunwei@src.gnome.org>

  MSVC Builds: Improve Build Speed and Debugging Experience

  Use multiprocessor compilation, which can cut down build times by quite a
  bit, and use /d2Zi+ to put more useful info into the .pdb's in release
  builds.

2015-09-10  Chun-wei Fan  <fanchunwei@src.gnome.org>

  MSVC Builds: Support Visual Studio 2013 (and later) Only

  atkmm now requires a C++-11-capable compiler in order to build it, which is
  equivilant to Visual Studio 2013 and later, so we:
  
  -Drop the Visual Studio 2005 and 2008 projects
  -Move the 2010 projects to become 2013 projects, as their formats are
   largely the same.

2015-09-03  Murray Cumming  <murrayc@murrayc.com>

  2.23.3

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

  configure.ac: Require the latest glibmm.

  To use the latest gmmproc, which generates more move operations,
  and to have the latest Glib::Object/ObjectBase/Interface which have
  move operations that those generated move operations call.

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

  2.23.2

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

  Require the latest glibmm.

  For the latest gmmproc.

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

  configure.ac: Use MM_AX_CXX_COMPILE_STDCXX_11() from mm-common.

  Instead of a copy of AX_CXX_COMPILE_STDCXX_11().

2015-07-11  Murray Cumming  <murrayc@murrayc.com>

  Require C++11.

  configure.ac: Use AX_CXX_COMPILE_STDCXX_11 to check for compiler
  support for C++11 and use it (--std=c++11 for current versions of
  g++).
  
  Among other reasons, this is because glibmm now requires C++11,
  and its gmmrpoc generates C++11 code.

2015-06-30  Murray Cumming  <murrayc@murrayc.com>

  2.231

2015-06-30  Murray Cumming  <murrayc@murrayc.com>

  configure.ac: Require the latest glibmm.

  To use the latest gmmproc, which generates nicer code for use of
  deprecated C API.

2015-06-29  Murray Cumming  <murrayc@murrayc.com>

  configure.ac: Re-enable deprecation warnings as errors.

  When using --enable-warnings=fatal.

2015-06-29  Murray Cumming  <murrayc@murrayc.com>

  Text: Add get_string_at_offset(), deprecating other methods for it.

2015-06-29  Murray Cumming  <murrayc@murrayc.com>

  Table: Deprecate get_column/row_at_index().

  The C documentation doesn't have real deprecation documentation for these,
  so neither do we.

2015-06-29  Murray Cumming  <murrayc@murrayc.com>

  Table: Add a get_at() const version and deprecate get_index_at().

2015-06-29  Murray Cumming  <murrayc@murrayc.com>

  Document: get_document_type(): Really use the deprecated option.

2015-06-29  Murray Cumming  <murrayc@murrayc.com>

  Remove #undefs of ATK_DISABLE_DEPRECATED to use deprecated API.

  This is no longer necessary with the latest gmmproc.

2015-06-29  Murray Cumming  <murrayc@murrayc.com>

  Value: _IGNORE() get_minimum_increment().

2015-06-29  Murray Cumming  <murrayc@murrayc.com>

  Value: deprecate get_minimum/maximum_range().

  Adding Range so we can add get_range() as their replacement.

2015-06-29  Murray Cumming  <murrayc@murrayc.com>

  Component: Deprecate add/remove_focus_handler, get_size() and get_position().

2015-06-29  Murray Cumming  <murrayc@murrayc.com>

  Value: Add get_value_and_text(), get_increment(), and set_value().

  Deprecating get_current_value() and set_current_value().

2015-03-24  Murray Cumming  <murrayc@murrayc.com>

  Text: Avoid the new-style deprecation warning.

2015-03-24  Murray Cumming  <murrayc@murrayc.com>

  Regenerated *_docs.xml file.

2015-03-24  Murray Cumming  <murrayc@murrayc.com>

  Regenerated .defs files.

2015-03-24  Murray Cumming  <murrayc@murrayc.com>

  Document: Add get/set_attribute() and deprecate get_document() and get_document_type().

2014-09-22  Chun-wei Fan  <fanchunwei@src.gnome.org>

  MSVC 2008/2010 Projects: Add "Install" Project

  This adds a "install" project for the Visual Studio 2008 and 2010 projects
  so that the builds results can be copied to a common directory together
  with the depedencies so that they can be integrated and tested together,
  and will help to simplify deployment.
  
  * MSVC_Net2008/atkmm-install.vsprops:
  * MSVC_Net2008/install.vcproj:
  * MSVC_Net2010/atkmm-install.props:
  * MSVC_Net2010/install.vcxproj: Add project files and property sheets to
    copy the build results to a common directory in the build root directory.
  * MSVC_Net2008/atkmm.sln:
  * MSVC_Net2010/atkmm.sln: Include the "install" project in the build.
  * MSVC_Net2008/filelist.am: Distribute the newly-added project files and
    property sheets.

2014-09-19  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Overhaul the Visual Studio 2010 Projects

  Give the Visual Studio 2010 Projects an overhaul, by using property sheets
  to consolidate commonly-used items, so to ease future maintenance, and move
  all the projects to MSVC_Net2010.
  
  	* MSVC_Net2010/atkmm-build-defines.props:
  	* MSVC_Net2010/atkmm-version-paths.props: Add property sheets to
  	  consolidate the commonly-used items, so that projects can refer
  	  to them.
  	* MSVC_Net2010/gendef/gendef.vcxproj:
  	* MSVC_Net2010/gendef/gendef.vcxproj.filters:
  	* MSVC_Net2010/atkmm/atkmm.vcxproj:
  	* MSVC_Net2010/atkmm/atkmm.vcxproj.filters: Clean up using the
  	  property sheets, and move to MSVC_Net2010/.  Adjust the file
  	  paths accordingly, and add a PlatformToolset tag so that it would
  	  be easier to support Visual Studio 2012/2013.  Also produce
  	  .pdb files for Release builds.
  	* MSVC_Net2010/atkmm.sln:
  	* MSVC_Net2010/filelist.am: Adjust file paths accordingly.

2014-09-19  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Overhaul the Visual Studio 2008 Projects

  Overhaul the Visual Studio 2008 Projects by using property sheets to
  consolidate commonly-used items, so that projects can refer to them, which
  will help to simplify future maintenance, and move all the projects to
  MSVC_Net2008/.
  
  	* MSVC_Net2008/atkmm-build-defines.vsprops:
  	* MSVC_Net2008/atkmm-version-paths.vsprops: Added property sheet
  	  files used to consolidate commonly-used items to be referred to
  	  from the projects.
  	* MSVC_Net2008/gendef/gendef.vcproj:
  	* MSVC_Net2008/atkmm/atkmm.vcproj: Move to MSVC_Net2008/, and
  	  clean up by using the property sheets.  Adjust the source file
  	  paths accordingly.
  	* MSVC_Net2008/atkmm.sln:
  	* MSVC_Net2008/filelist.am: Adjust file paths accordingly.

2014-09-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Cleanup and Fix Visual Studio 2008/2010 Projects

  We don't need to include blank.cpp in our builds, as the IDE recognize .cc
  files, and building with /vd2 brings more trouble than benefit, causing
  weird crashes.
  
  	* MSVC_Net2008/gendef/gendef.vcproj: Don't include blank.cpp in the
  	  builds, it's not needed.
  	* MSVC_Net2008/atkmm/atkmm.vcproj: Don't include blank.cpp in the
  	  builds, it's not needed.  Don't compile with /vd2 as it is a
  	  source of weird crashes, such as in the gtkmm demo program.
  	* MSVC_Net2010/atkmm/atkmm.vcxproj: Don't compile with /vd2 as it
  	  is a source of weird crashes, such as in the gtkmm demo program.

2014-09-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  doap: Add description, download-page, bug-database, programming-language

2014-07-30  Olav Vitters  <olav@vitters.nl>

  doap category core

2013-09-09  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Update the MSVC Project Files

  * MSVC_Net2005/gendef/gendef.vcproj:
    MSVC_Net2008/gendef/gendef.vcproj:
    MSVC_Net2010/gendef/gendef.vcxproj:
    MSVC_Net2005/atkmm/atkmm.vcproj:
    MSVC_Net2008/atkmm/atkmm.vcproj:
    MSVC_Net2010/atkmm/atkmm.vcxproj: Clean up the project files by purging
    unneeded entries, macros and whitespace.
  
    Also improve on the project files by adding to the
    AdditionalIncludeDirectories and AdditionalLibraryDirectories so that
    they can find and use the deps from a local build directory instead
    of using builds in the global include and libs path.  This is useful when
    we are building an unstable release as unstable releases usually require
    the latest unstable releases of their respective deps, which we do not
    usually want to place where they are used globally.
  
    Fix the last commit to the ChangeLog file, as I forgot to change the
    email address in my last commit.

2013-09-09  Chun-wei Fan  <fanchunwei@src.gnome.org>

  MSVC Solution Files: Use DOS Line Endings

  * MSVC_Net2005/atkmm.sln:
  * MSVC_Net2008/atkmm.sln:
  * MSVC_Net2010/atkmm.sln: Use DOS/Windows line endings as Visual
    Studio expects .sln files to have DOS/Windows line endings in order to
    determine the Visual Studio version to use to open the .sln files.

2013-06-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Update .gitignore.

  * .gitignore: Add files that are copied to or generated in doc/ and
  MSVC_Net2010/atkmm/.

2013-06-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Update Doxyfile.in.

  * doc/reference/Doxyfile.in: Update for doxygen 1.8.3. Make it more similar
  to glibmm's and mm-common/skeletonmm's Doxyfile.in.

2013-06-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Update atk_docs.xml and most .defs files.

  * codegen/extradefs/generate_extra_defs_atk.cc: Added get_defs() for new
  ATK_TYPEs.
  * atk/src/atk_docs.xml:
  * atk/src/atk_enums.defs:
  * atk/src/atk_methods.defs: Generated by generate_defs_and_docs.sh.
  * atk/src/atk_signals.defs: Generated by generate_defs_and_docs.sh. Two lines
  modified manually (indicated by comments).

2013-06-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add the generate_defs_and_docs.sh script.

  * codegen/generate_defs_and_docs.sh: New file. Script that generates
  atk_docs.xml and most .defs files.
  * codegen/Makefile.am: Distribute generate_defs_and_docs.sh.

2013-06-25  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Atk::Text: Deprecate get_text_before_offset(), get_text_after_offset().

  * configure.ac: Don't treat the deprecated-declarations warning as an error,
  not even when --enable-warnings=fatal.
  * atk/src/text.hg: Deprecate get_text_before_offset() and
  get_text_after_offset() and the corresponding virtual functions. They have
  been deprecated in atk. Bug #703027.

2013-04-24  Murray Cumming  <murrayc@murrayc.com>

  2.22.7

2012-10-26  José Alburquerque  <jaalburqu@svn.gnome.org>

  Remove the use of g_type_init() because it has been deprecated.

  	* codegen/extradefs/generate_extra_defs_atk.cc: The docs for the
  	function says that the GType system is initialized automatically now
  	as of glib-2.36.

2011-10-26  Murray Cumming  <murrayc@murrayc.com>

  2.22.6

2011-10-25  Murray Cumming  <murrayc@murrayc.com>

  Add #includes needed with the latest glibmm.

  	* atk/src/action.hg:
  	* atk/src/component.hg:
  	* atk/src/document.hg:
  	* atk/src/object.hg:
  	* atk/src/relation.hg:
  	* atk/src/selection.hg:
  	* atk/src/stateset.hg:
  	* atk/src/streamablecontent.hg:
  	* atk/src/table.hg:
  	* atk/src/text.hg:
  	* atk/src/value.hg: Add individual includes now that gmmproc does not
  	add #include glibmm.h at the top of every generated header.

2011-09-22  Krzesimir Nowak  <qdlacz@gmail.com>

  Don't use obsolete macros.

  * autogen.sh: Warn about everything during autoreconf.
  * configure.ac: Replaced obsolete macros with their modern counterparts.

2011-03-30  Murray Cumming  <murrayc@murrayc.com>

  2.22.5

2011-03-30  Murray Cumming  <murrayc@murrayc.com>

  Use the latest mm-common.

  	* configure.ac: Require the latest version.
  	* doc/Makefile.am: Don't specify the mm-common .pl files to distribute
  	because mm-common now does this automatically.

2011-03-26  Kalev Lember  <kalev@smartlink.ee>

  Install the m4 files without --enable-maintainer-mode

  * Makefile.am: Install the convert.m4 files even if we aren't in
  maintainer mode; this makes sure distro packages pick up the files.
